## rpicam-apps 1.7.0

=== meson_options.txt ===
option('enable_libav',
        type : 'feature',
        value : 'auto',
        description : 'Enable the libav encoder for video/audio capture')

option('enable_drm',
        type : 'feature',
        value : 'auto',
        description : 'Enable DRM preview window support')

option('enable_egl',
        type : 'feature',
        value : 'auto',
        description : 'Enable EGL preview window support')

option('enable_qt',
        type : 'feature',
        value : 'auto',
        description : 'Enable QT preview window support')

option('enable_opencv',
        type : 'feature',
        value : 'disabled',
        description : 'Enable OpenCV postprocessing support')

option('enable_tflite',
        type : 'feature',
        value : 'disabled',
        description : 'Enable Tensorflow Lite postprocessing support')

option('neon_flags',
        type : 'combo',
        choices: ['arm64', 'armv8-neon', 'auto'],
        value : 'auto',
        description : 'User selectable arm-neon optimisation flags')

option('enable_hailo',
        type : 'feature',
        value : 'auto',
        description : 'Enable Hailo postprocessing support')

option('download_hailo_models',
        type : 'boolean',
        value : true,
        description : 'Download and install the Hailo postprocessing models')

option('enable_imx500',
        type : 'boolean',
        value : false,
        description : 'Enable IMX500 postprocessing support')

option('download_imx500_models',
        type : 'boolean',
        value : false,
        description : 'Download and install the IMX500 postprocessing models')
