## rpicam-apps 1.5.3

=== debian/changelog ===
rpicam-apps (1.5.3-1ubuntu1) plucky; urgency=medium

  * Initial upload to Ubuntu (LP: #2020101)
  * Remove postprocessing and hailo packages as they are not supported by
    libcamera in Ubuntu yet
  * d/control: Disable building the following packages:
    - rpicam-apps-hailo-postprocess
    - rpicam-apps-imx500-postprocess
    - imx500-models
    - imx500-all
  * d/control: Drop the following build dependencies:
    - libopencv-dev
    - hailort
    - hailo-tappas-core
  * d/control: Fix the following build dependencies:
    - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
    - pkg-config -> pkgconf
    - debhelper 11 -> debhelper-compat 13
    - Bump Standards-Version
    - Remove unnecessary transitional packages:
      + libcamera-apps
      + libcamera-apps-lite
  * d/rules: Remove support for hailo and imx500
    postprocessing
    - Disable enable_opencv, enable_imx500 and
      enable_hailo
    - Remove hailo and postprocessing related install
      overrides in override_dh_auto_install
  * d/copyright: Fix copyrights
  * Remove d/compat
  * d/p/0001-fix-libav-deprecated.patch: Fix deprecated
    struct field access (sample_fmts) in
    encoder/libav_encoder.cpp

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 01 Apr 2025 17:32:16 +0530

rpicam-apps (1.5.3-1) bookworm; urgency=medium

  * d/watch: update to new filename format
  * New upstream version 1.5.3
  * Update hailo-tappas-core version
  * Add imx500-tools to imx500-all

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 14:26:32 +0000

rpicam-apps (1.5.2-2) bookworm; urgency=medium

  * Add imx500 support to armhf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Oct 2024 23:30:31 +0100

rpicam-apps (1.5.2-1) bookworm; urgency=medium

  * New upstream version 1.5.2
  * d/gbp.conf: Add imx500-models component
  * Add rpicam-apps-imx500-postprocess and imx500-models packages
  * Add imx500-all
  * Move rpi-assets json files to postprocess packages
  * Pass --ignore-missing-info to dpkg-shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 28 Sep 2024 14:59:15 +0100

rpicam-apps (1.5.1-1) bookworm; urgency=medium

  * Update to hailo-tappas-core 3.29.1
  * New upstream version 1.5.1

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Sep 2024 15:06:19 +0100

rpicam-apps (1.5.0-2) bookworm; urgency=medium

  * Rebuild with libcamera 0.3 release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 12:47:17 +0100

rpicam-apps (1.5.0-1) bookworm; urgency=medium

  * New upstream version 1.5.0
  * d/rules: switch from true/false to enabled/disabled
  * Enable OpenCV postprocessing in full build
  * Enable Hailo support
  * d/rules: fix clean target

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 31 May 2024 11:29:14 +0100

rpicam-apps (1.4.4-1) bookworm; urgency=medium

  * New upstream version 1.4.4

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:33:06 +0100

rpicam-apps (1.4.3-1) bookworm; urgency=medium

  * New upstream version 1.4.3

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 17:14:20 +0000

rpicam-apps (1.4.2-1) bookworm; urgency=medium

  * New upstream version 1.4.2
  * d/w: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Jan 2024 13:23:20 +0000

rpicam-apps (1.4.1-1) bookworm; urgency=medium

  * New upstream version 1.4.1
  * Rename package to rpicam-apps
  * d/c: add python3 dependency for camera-bug-report
  * d/watch: Use the Raspberry Pi Github releases
  * Remove ldconfig triggers

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Nov 2023 15:35:54 +0000

libcamera-apps (1.2.2-1) bookworm; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) bullseye; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) bullseye; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) bullseye; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) bullseye; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) bullseye; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000

libcamera-apps (0~git20221201+9c5d319-1) bullseye; urgency=medium

  * New upstream version 0~git20221201+9c5d319

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 02 Dec 2022 19:46:52 +0000

libcamera-apps (0~git20221109+73ab09f-1) bullseye; urgency=medium

  * New upstream version 0~git20221109+73ab09f

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Nov 2022 14:19:35 +0000

libcamera-apps (0~git20221018+b89cc36-2) bullseye; urgency=medium

  * Rebuild against a newer version of libcamera

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Oct 2022 13:58:46 +0100

libcamera-apps (0~git20221018+b89cc36-1) bullseye; urgency=medium

  * New upstream version 0~git20221018+b89cc36

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Oct 2022 13:28:07 +0100

libcamera-apps (0~git20220830+1bf0cca-1) bullseye; urgency=medium

  * New upstream version 0~git20220830+1bf0cca

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 31 Aug 2022 16:51:41 +0100

libcamera-apps (0~git20220707+35266e8-1) bullseye; urgency=medium

  * New upstream version 0~git20220707+35266e8
  * Build libcamera-apps-lite without libav support

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Jul 2022 18:47:37 +0100


