=== debian/control ===
Source: rpicam-apps
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkgconf,
 python3,
 libboost-dev,
 libboost-program-options-dev,
 libcamera-dev,
 libdrm-dev,
 libepoxy-dev,
 libexif-dev,
 libjpeg-turbo8-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 qtbase5-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libswresample-dev
Standards-Version: 4.7.1
Homepage: https://github.com/raspberrypi/rpicam-apps/

Package: rpicam-apps
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Conflicts: rpicam-apps-lite
Replaces: rpicam-apps-lite
Description: Drive cameras on the Raspberry Pi with friendly utilities
 Small suite of libcamera-based apps that aim to copy the functionality of the
 existing "raspicam" apps

Package: rpicam-apps-lite
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Conflicts: rpicam-apps
Replaces: rpicam-apps
Description: Drive cameras on the Raspberry Pi with friendly console utilities
 Small suite of libcamera-based apps that aim to copy the functionality of the
 existing "raspicam" apps. This version excludes features which require X11 and
 Qt
