=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG_COMMON := -Denable_opencv=disabled -Denable_tflite=disabled -Ddownload_hailo_models=false -Ddownload_imx500_models=false
CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_imx500=false
CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_imx500=false

POSTPROC_PATH := usr/lib/$(DEB_HOST_MULTIARCH)/rpicam-apps-postproc

# Disable IMX500 and Hailo models
# Their install files are still present in debian/ if they are ported to Ubuntu someday
CONFIG_COMMON += -Denable_imx500=false -Denable_hailo=disabled

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build_lite -- $(CONFIG_COMMON) $(CONFIG_LITE)
	dh_auto_configure -- $(CONFIG_COMMON) $(CONFIG_FULL)

override_dh_auto_build:
	dh_auto_build --builddirectory=build_lite
	dh_auto_build

override_dh_auto_test:
	dh_auto_test --builddirectory=build_lite
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --builddirectory=build_lite --destdir=debian/rpicam-apps-lite/
	dh_auto_install --destdir=debian/rpicam-apps/

override_dh_clean:
	dh_clean
	dh_clean build_lite/

# Hailo's packages are broken, so work around their limitations until they're fixed.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
