## rpicam-apps 1.7.0

=== debian/changelog ===
rpicam-apps (1.7.0-1ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:41 +0200

rpicam-apps (1.7.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:16 +0200

rpicam-apps (1.7.0-1ubuntu1) questing; urgency=medium

  * Merge with v1.7.0, Fix FTBFS with licamera0.5 (LP: #2109901)
    Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
  * Drop Changes:
    - d/p/0001-fix-libav-deprecated.patch: Fix deprecated struct field access
      (sample_fmts) in encoder/libav_encoder.cpp
      [Fixed in 1.7.0]
  * Added Changes:
    - Bump Standards-Version to 4.7.2
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 20 Jun 2025 12:37:46 +0530

rpicam-apps (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 12:39:28 +0100

rpicam-apps (1.6.0-2) unstable; urgency=medium

  * Relax hailo version requirement

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Feb 2025 16:18:22 +0000

rpicam-apps (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Update hailo-tappas-core version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Jan 2025 22:40:43 +0000

rpicam-apps (1.5.3-1ubuntu2) questing; urgency=medium

  * Rebuild against latest libcamera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:19 -0400

rpicam-apps (1.5.3-1) unstable; urgency=medium

  * d/watch: update to new filename format
  * New upstream version 1.5.3
  * Update hailo-tappas-core version
  * Add imx500-tools to imx500-all

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 14:26:32 +0000

rpicam-apps (1.5.2-2) unstable; urgency=medium

  * Add imx500 support to armhf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Oct 2024 23:30:31 +0100

rpicam-apps (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/gbp.conf: Add imx500-models component
  * Add rpicam-apps-imx500-postprocess and imx500-models packages
  * Add imx500-all
  * Move rpi-assets json files to postprocess packages
  * Pass --ignore-missing-info to dpkg-shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 28 Sep 2024 14:59:15 +0100

rpicam-apps (1.5.1-1) unstable; urgency=medium

  * Update to hailo-tappas-core 3.29.1
  * New upstream version 1.5.1

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Sep 2024 15:06:19 +0100

rpicam-apps (1.5.0-2) unstable; urgency=medium

  * Rebuild with libcamera 0.3 release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 12:47:17 +0100

rpicam-apps (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/rules: switch from true/false to enabled/disabled
  * Enable OpenCV postprocessing in full build
  * Enable Hailo support
  * d/rules: fix clean target

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 31 May 2024 11:29:14 +0100

rpicam-apps (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:33:06 +0100

rpicam-apps (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 17:14:20 +0000

rpicam-apps (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/w: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Jan 2024 13:23:20 +0000

rpicam-apps (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Rename package to rpicam-apps
  * d/c: add python3 dependency for camera-bug-report
  * d/watch: Use the Raspberry Pi Github releases
  * Remove ldconfig triggers

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Nov 2023 15:35:54 +0000

libcamera-apps (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) unstable; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) unstable; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) unstable; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) unstable; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000


