=== debian/control ===
--- 
+++ 
@@ -21,8 +21,9 @@
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
- libswresample-dev
-Standards-Version: 4.7.1
+ libswresample-dev,
+ libopencv-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/raspberrypi/rpicam-apps/
 
 Package: rpicam-apps
