=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 #export DH_VERBOSE = 1
 
 CONFIG_COMMON := -Denable_opencv=disabled -Denable_tflite=disabled -Ddownload_hailo_models=false -Ddownload_imx500_models=false
-CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_imx500=false
-CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_imx500=false
+CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_opencv=enabled -Denable_imx500=true
+CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_opencv=disabled -Denable_imx500=false
 
 POSTPROC_PATH := usr/lib/$(DEB_HOST_MULTIARCH)/rpicam-apps-postproc
 
 # Disable IMX500 and Hailo models
 # Their install files are still present in debian/ if they are ported to Ubuntu someday
-CONFIG_COMMON += -Denable_imx500=false -Denable_hailo=disabled
+CONFIG_COMMON += -Denable_hailo=disabled
 
 %:
 	dh $@ --buildsystem=meson
@@ -29,6 +29,12 @@
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build_lite --destdir=debian/rpicam-apps-lite/
 	dh_auto_install --destdir=debian/rpicam-apps/
+ifeq ($(DEB_HOST_ARCH),arm64)
+	mkdir -p debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
+	mkdir -p debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
+	mv debian/rpicam-apps/$(POSTPROC_PATH)/imx500-postproc.so debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
+	mv debian/rpicam-apps/usr/share/rpi-camera-assets/imx500_*.json debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
+endif
 
 override_dh_clean:
 	dh_clean
