## rpicam-apps 1.9.0

=== debian/changelog ===
rpicam-apps (1.9.0-1) trixie; urgency=medium

  * New upstream version 1.9.0
  * d/: Add salsa-ci.yml
  * postprocess: object_detect_udp: Fix compiler warnings and styling

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 09 Sep 2025 14:59:25 +0100

rpicam-apps (1.8.1-1) trixie; urgency=medium

  * Trixie changes
  * Temporarily disable Hailo support

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Jul 2025 13:18:51 +0100

rpicam-apps (1.8.1-1~bookworm) bookworm; urgency=medium

  * New upstream version 1.8.1
  * Bump compat level to 13
  * Update package descriptions
  * Add no-manual-page lintian overrides
  * Fix imx500-all dependencies
  * Split rpicam-apps into core applications, library and plugins
  * Replace rpicam-apps-lite with rpicam-apps-core

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 21 Jul 2025 12:27:21 +0100

rpicam-apps (1.7.0-1) bookworm; urgency=medium

  * New upstream version 1.7.0

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 12:39:28 +0100

rpicam-apps (1.6.0-2) bookworm; urgency=medium

  * Relax hailo version requirement

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Feb 2025 16:18:22 +0000

rpicam-apps (1.6.0-1) bookworm; urgency=medium

  * New upstream version 1.6.0
  * Update hailo-tappas-core version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Jan 2025 22:40:43 +0000
