=== debian/control ===
Source: rpicam-apps
Section: video
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13),
 meson,
 pkgconf,
 python3,
 libboost-dev,
 libboost-program-options-dev,
 libcamera-dev,
 libdrm-dev,
 libepoxy-dev,
 libexif-dev,
 libjpeg62-turbo-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 qtbase5-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libopencv-dev,
# hailort [arm64],
# hailo-tappas-core (>= 3.31.0) [arm64],
 libswresample-dev
Standards-Version: 4.1.3
Homepage: https://github.com/raspberrypi/rpicam-apps/

Package: rpicam-apps
Architecture: all
Depends:
 ${misc:Depends},
 rpicam-apps-core (>= ${source:Version}),
 rpicam-apps-encoder (>= ${source:Version}),
 rpicam-apps-opencv-postprocess (>= ${source:Version}),
 rpicam-apps-preview (>= ${source:Version}),
Description: Camera based applications for Raspberry Pi using the libcamera framework
 rpicam-apps is a suite of official command-line camera applications developed
 for Raspberry Pi, built on the libcamera framework. Tools like rpicam-still,
 rpicam-vid, and rpicam-preview enable high-quality image and video capture with
 official and 3rd party camera modules. The apps support a variety of controls
 and advanced features for flexible imaging use cases.
 .
 This is a metapackage that installs the core rpicam-apps applications as well
 as the preview, opencv and encoder plugins.

Package: rpicam-apps-core
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Conflicts: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm)
Replaces: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
Breaks: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
Description: Camera based applications for Raspberry Pi using the libcamera framework
 rpicam-apps is a suite of official command-line camera applications developed
 for Raspberry Pi, built on the libcamera framework. Tools like rpicam-still,
 rpicam-vid, and rpicam-preview enable high-quality image and video capture with
 official and 3rd party camera modules. The apps support a variety of controls
 and advanced features for flexible imaging use cases.
 .
 This is a metapackage that installs the core rpicam-apps applications.

Package: librpicam-app1
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the shared library.

Package: librpicam-app-dev
Section: libdevel
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, librpicam-app1 (= ${binary:Version})
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the development files.

Package: rpicam-apps-encoder
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the encoder plugin.

Package: rpicam-apps-preview
Architecture: armhf arm64
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the preview plugins.

Package: rpicam-apps-opencv-postprocess
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Framework for rpicam-apps camera applications
 The rpicam-apps libary is the core framework used by the rpicam-apps suite of
 official command-line camera applications developed for Raspberry Pi, built on
 the libcamera framework. Custom camera applications can be built using this
 library.
 .
 This package contains the opencv plugin.

#Package: rpicam-apps-hailo-postprocess
#Architecture: arm64
#Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, hailort,
# hailo-tappas-core (>= 3.31.0),
#Description: Raspberry Pi AI HAT+ post-processing plugin for rpicam-apps
# This package provides a post-processing module for rpicam-apps that integrates
# with the Raspberry Pi AI HAT+ incorporating the Hailo AI accelerator. It
# enables real-time CV inference (e.g., object detection) on frames captured by
# the rpicam-apps framework.

Package: rpicam-apps-imx500-postprocess
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, imx500-models (= ${source:Version})
Description: IMX500 AI metadata plugin for rpicam-apps
 This package provides a post-processing module for rpicam-apps that integrates
 with the Raspberry Pi AI Camera (Sony IMX500). It enables real-time CV
 inference (e.g., object detection) on frames captured by the rpicam-apps
 framework.

Package: imx500-models
Architecture: all
Depends: ${misc:Depends}, imx500-firmware
Description: Pretrained AI models for the Raspberry Pi AI Camera (Sony IMX500)
 This package includes a set of AI models optimized to run on the Raspberry Pi
 AI Camera. The models support use cases such as object detection, pose
 estimation, and object segmentation.

Package: imx500-all
Architecture: all
Depends: ${misc:Depends}, rpicam-apps-imx500-postprocess (>= ${source:Version}), imx500-tools
Description: Full software stack for the Raspberry Pi AI Camera support (metapackage)
 imx500-all is a meta-package that installs all required software to enable and
 use the Raspberry Pi AI Camera. It includes device firmware, pretrained models,
 neural network deployment tools, and rpicam-apps post-processing modules and
 assets.

Package: rpicam-apps-lite
Architecture: all
Priority: optional
Section: oldlibs
Depends: rpicam-apps-core, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libcamera-apps
Architecture: all
Priority: optional
Section: oldlibs
Depends: rpicam-apps, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libcamera-apps-lite
Architecture: all
Priority: optional
Section: oldlibs
Depends: rpicam-apps-core, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.
