=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG := -Ddownload_hailo_models=false \
	  -Ddownload_imx500_models=false \
	  -Denable_drm=enabled \
	  -Denable_egl=enabled \
	  -Denable_libav=enabled \
	  -Denable_opencv=enabled \
	  -Denable_qt=enabled \
	  -Denable_tflite=disabled \
	  -Denable_imx500=true

#ifeq ($(DEB_HOST_ARCH),arm64)
ifdef HAILO
	CONFIG += -Denable_hailo=enabled

# Hailo's packages are broken, so work around their limitations until they're fixed.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
else
	CONFIG += -Denable_hailo=disabled
endif

%:
	dh $@

execute_after_dh_install:
	rm -f $(addsuffix _*.json, $(addprefix debian/rpicam-apps-core/usr/share/rpi-camera-assets/,hailo imx500))
	rm -f debian/rpicam-apps-preview/usr/lib/*/rpicam-apps-preview/drm-preview.so

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG)
