## rpicam-apps 1.10.1

=== meson_options.txt ===
--- 
+++ 
@@ -53,3 +53,8 @@
         type : 'boolean',
         value : false,
         description : 'Download and install the IMX500 postprocessing models')
+
+option('disable_rpi_features',
+        type : 'boolean',
+        value : false,
+        description : 'Disable use Raspberry Pi specific extensions in the build')
