=== debian/changelog ===
rpicam-apps (1.10.1-1) trixie; urgency=medium

  [ David Plowman ]
  * Fix help message for --zsl option

  [ Naushir Patuck ]
  * build: Update release to v1.10.1

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 28 Nov 2025 16:40:26 +0000
