=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 	  -Denable_tflite=disabled \
 	  -Denable_imx500=true
 
-#ifeq ($(DEB_HOST_ARCH),arm64)
-ifdef HAILO
+ifeq ($(DEB_HOST_ARCH),arm64)
 	CONFIG += -Denable_hailo=enabled
 
 # Hailo's packages are broken, so work around their limitations until they're fixed.
