=== debian/changelog ===
rpicam-apps (1.11.1-1ubuntu1) resolute; urgency=medium

  [ Pragyansh Chaturvedi ]
  * Merge upstream v1.11.1 (LP: #2142435, LP: #2141307). Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules
  * Dropped changes merged upstream:
    - d/p/0001-fix-deprecated-FF_API_FF_PROFILE_LEVEL.patch: Fix deprecated
      FF_API_FF_PROFILE_LEVEL usage in encoder/libav_encoder.cpp
  * Added Changes:
    - d/rules:
      + Remove download_hailo_models and download_imx500_models options
      + Fix install paths
      + Allow imx500 to install on armhf
    - d/p/0001-fix-versioning.patch: Make try-except in utils/version.py
      broader
    - d/control: Remove binary package:
      + rpicam-apps-lite: unnecessary transitional package
    - d/control: Add binary packages:
      + rpicam-apps-core
      + rpicam-apps-opencv-postprocess
      + rpicam-apps-preview
      + rpicam-apps-encoder
      + librpicam-app-dev
      + librpicam-app1
    - Add d/*.install files for new binaries

  [ Dave Jones ]
  * d/watch: Disable download of hailo and imx500 components

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Mar 2026 22:04:06 +0000

rpicam-apps (1.11.1-1) trixie; urgency=medium

  [ David Plowman ]
  * Check correctly for protocols that handle their own files
  * Improve software sync when frames are missing sync metadata

  [ Kletternaut ]
  * post_processing: Add object_blur stage for privacy-focused live
    blurring

  [ Naushir Patuck ]
  * build: Supress C11 extension errors in clang builds
  * core: Don't overwrite request controls
  * build: Update relase to v1.11.1

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Feb 2026 18:47:33 +0000

rpicam-apps (1.7.0-1ubuntu6) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:22:36 +0100

rpicam-apps (1.7.0-1ubuntu5) resolute; urgency=medium

  * d/p/0001-fix-deprecated-FF_API_FF_PROFILE_LEVEL.patch: Fix deprecated
    FF_API_FF_PROFILE_LEVEL usage in encoder/libav_encoder.cpp (LP: #2137350)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 06 Jan 2026 14:58:38 +0530

rpicam-apps (1.7.0-1ubuntu4) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Wed, 31 Dec 2025 22:17:23 +0000
