=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rpicam-apps
 Section: video
 Priority: optional
-Maintainer: Serge Schneider <serge@raspberrypi.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkgconf,
@@ -12,7 +13,7 @@
  libdrm-dev,
  libepoxy-dev,
  libexif-dev,
- libjpeg62-turbo-dev,
+ libjpeg-turbo8-dev,
  libpng-dev,
  libtiff-dev,
  libx11-dev,
@@ -20,11 +21,9 @@
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
- libopencv-dev,
- hailort (>= 4.23.0) [arm64],
- hailo-tappas-core (>= 5.1.0) [arm64],
- libswresample-dev
-Standards-Version: 4.1.3
+ libswresample-dev,
+ libopencv-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/raspberrypi/rpicam-apps/
 
 Package: rpicam-apps
@@ -48,9 +47,6 @@
 Package: rpicam-apps-core
 Architecture: armhf arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
-Conflicts: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm)
-Replaces: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
-Breaks: rpicam-apps-lite (<<1.8.1-1~bookworm), rpicam-apps (<<1.8.1-1~bookworm), libcamera-apps (<< 1.4.1-1~)
 Description: Camera based applications for Raspberry Pi using the libcamera framework
  rpicam-apps is a suite of official command-line camera applications developed
  for Raspberry Pi, built on the libcamera framework. Tools like rpicam-still,
@@ -119,63 +115,3 @@
  library.
  .
  This package contains the opencv plugin.
-
-Package: rpicam-apps-hailo-postprocess
-Architecture: arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, hailort (>= 4.23.0),
- hailo-tappas-core (>= 5.1.0),
-Description: Raspberry Pi AI HAT+ post-processing plugin for rpicam-apps
- This package provides a post-processing module for rpicam-apps that integrates
- with the Raspberry Pi AI HAT+ incorporating the Hailo AI accelerator. It
- enables real-time CV inference (e.g., object detection) on frames captured by
- the rpicam-apps framework.
-
-Package: rpicam-apps-imx500-postprocess
-Architecture: armhf arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}, rpicam-apps, imx500-models (= ${source:Version})
-Description: IMX500 AI metadata plugin for rpicam-apps
- This package provides a post-processing module for rpicam-apps that integrates
- with the Raspberry Pi AI Camera (Sony IMX500). It enables real-time CV
- inference (e.g., object detection) on frames captured by the rpicam-apps
- framework.
-
-Package: imx500-models
-Architecture: all
-Depends: ${misc:Depends}, imx500-firmware
-Description: Pretrained AI models for the Raspberry Pi AI Camera (Sony IMX500)
- This package includes a set of AI models optimized to run on the Raspberry Pi
- AI Camera. The models support use cases such as object detection, pose
- estimation, and object segmentation.
-
-Package: imx500-all
-Architecture: all
-Depends: ${misc:Depends}, rpicam-apps-imx500-postprocess (>= ${source:Version}), imx500-tools
-Description: Full software stack for the Raspberry Pi AI Camera support (metapackage)
- imx500-all is a meta-package that installs all required software to enable and
- use the Raspberry Pi AI Camera. It includes device firmware, pretrained models,
- neural network deployment tools, and rpicam-apps post-processing modules and
- assets.
-
-Package: rpicam-apps-lite
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: rpicam-apps-core, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: libcamera-apps
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: rpicam-apps, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: libcamera-apps-lite
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: rpicam-apps-core, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
