=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG_COMMON := -Denable_opencv=disabled -Denable_tflite=disabled
CONFIG_FULL := -Denable_libav=enabled -Denable_drm=enabled -Denable_egl=enabled -Denable_qt=enabled -Denable_opencv=enabled -Denable_imx500=true
CONFIG_LITE := -Denable_egl=disabled -Denable_qt=disabled -Denable_libav=disabled -Denable_opencv=disabled -Denable_imx500=false

POSTPROC_PATH := usr/lib/$(DEB_HOST_MULTIARCH)/rpicam-apps-postproc
IMX500_ARCHES := arm64 armhf

# Disable IMX500 and Hailo models
# Their install files are still present in debian/ if they are ported to Ubuntu someday
CONFIG_COMMON += -Denable_hailo=disabled

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build_lite -- $(CONFIG_COMMON) $(CONFIG_LITE)
	dh_auto_configure -- $(CONFIG_COMMON) $(CONFIG_FULL)

override_dh_auto_build:
	dh_auto_build --builddirectory=build_lite
	dh_auto_build

override_dh_auto_test:
	dh_auto_test --builddirectory=build_lite
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --builddirectory=build_lite --destdir=debian/rpicam-apps-lite/
	dh_auto_install --destdir=debian/tmp/
ifneq (,$(filter $(IMX500_ARCHES),$(DEB_HOST_ARCH)))
	mkdir -p debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
	mkdir -p debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
	mv debian/tmp/$(POSTPROC_PATH)/imx500-postproc.so debian/rpicam-apps-imx500-postprocess/$(POSTPROC_PATH)/
	mv debian/tmp/usr/share/rpi-camera-assets/imx500_*.json debian/rpicam-apps-imx500-postprocess/usr/share/rpi-camera-assets/
endif

override_dh_clean:
	dh_clean
	dh_clean build_lite/

# Hailo's packages are broken, so work around their limitations until they're fixed.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
